#!/usr/bin/env node
/**
 * Copyright 2019 Google LLC. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
'use strict';
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const mint_release_1 = require("../mint-release");
const yargs = require('yargs');
yargs
    .command('mint-release', 'mint a new release for a repo', () => { }, (argv) => __awaiter(this, void 0, void 0, function* () {
    const mr = new mint_release_1.MintRelease(argv);
    yield mr.run();
}))
    .option('token', { describe: 'GitHub repo token', default: process.env.GH_TOKEN })
    .option('package-name', {
    describe: 'name of package release is being minted for',
    required: true
})
    .option('repo-url', { describe: 'GitHub URL to generate release for', required: true })
    .option('release-type', {
    describe: 'what type of repo is a release being created for?',
    options: ['node'],
    default: 'node'
})
    .option('bump-minor-pre-major', {
    describe: 'should we bump the semver minor prior to the first major release',
    default: false,
    type: 'boolean'
})
    .option('label', {
    default: 'autorelease: pending',
    describe: 'label to add to generated PR'
})
    .demandCommand(1)
    .strict(true)
    .parse();
//# sourceMappingURL=release-please.js.map